PDA

View Full Version : flight models in general



me410jr
02-05-2006, 01:12 PM
i just started playing this game reacently i have fb and ace expansion. and it felt as though all the planes flew almost the same is there a link were i can get the newest patch? maybe this will resolve some things

ploughman
02-05-2006, 01:18 PM
http://forums.ubi.com/eve/forums/a/tpc/f/23110283/m/4721047273

Bearcat99
02-05-2006, 07:20 PM
Get Pacific Fighters as well..... then patch to the latest patch.

me410jr
02-06-2006, 02:38 PM
is the tempest in game or do i need to patch for that?

knightflyte
02-06-2006, 02:55 PM
You need FB/AEP/PF....or just PF to get the flyable Tempest, and all the advanced flight models.

The patches from 3.01 onward are not compatable with FB/AEP stand alone.

It may seem like a steep expense to expect a customer to purchase all three games, but IT IS WORTH IT.

Improved flight models, graphics, planes....and I'm sure others could chime in on other improvements.

You should be able to pick up PF for $30.00 US.

A small price to pay for the added benifit.

I THINK the last patch for FB/EAP was 2.04.

Chuck_Older
02-06-2006, 03:02 PM
Originally posted by me410jr:
is the tempest in game or do i need to patch for that?

the tempest is in the game right now...but it is definitely NOT flyable right now. It will become so in the patch we are currently waiting for. Again, flyable Tempests are NOT in the current version, which is 4.02, but are almost certainly going to be in v4.03

knightflyte
02-06-2006, 03:05 PM
LOL,Chuck....funny how easy it is to take for granted that EVERYONE knows we're on Patch 4.2 and still waiting for 4.3.

Good catch.

TgD Thunderbolt56
02-06-2006, 04:02 PM
Originally posted by knightflyte:
LOL,Chuck....funny how easy it is to take for granted that EVERYONE knows we're on Patch 4.2 and still waiting for 4.3.

Good catch.

http://forums.ubi.com/groupee_common/emoticons/icon_eek.gif

I must've missed something. Last time I checked I was only on 4.02m!